import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.math.BigInteger;
import java.util.ArrayList;

public class Vision {
	public static int vectorCount;

	public static ArrayList<Vector> vectors = new ArrayList<>();

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		String s;
		int line = 1;
		while ((s = br.readLine()) != null) {
			if(line == 1) {
				vectorCount = Integer.parseInt(s);
			} else {
				String[] vectorValues = s.split(" ");
				int x = Integer.parseInt(vectorValues[0]);
				int y = Integer.parseInt(vectorValues[1]);
				if(x == 0 || y == 0)
					continue;
				vectors.add(new Vector(x, y));
			}
			line++;
		}
		
		for (int i = 0; i < vectors.size(); i++) {
			Vector v1 = vectors.get(i);
			for (int j = i + 1; j < vectors.size(); j++) {
				Vector v2 = vectors.get(j);
				if(Math.abs(v2.x) > Math.abs(v1.x) && Math.abs(v2.y) > Math.abs(v1.y)) {
					if(Math.abs(v2.x) / Math.abs(v1.x) == Math.abs(v2.y) / Math.abs(v1.y)) {
						vectors.remove(v2);
						continue;
					}
				}
			}
		}
		
		/*
		for (Vector v : vectors) {
			System.out.println(v);
		}
		
		*/
		System.out.println(vectors.size());
		

	}

	public static class Vector {
		public int x, y;

		public Vector(int x, int y) {
			this.x = x;
			this.y = y;
		}

		@Override
		public String toString() {
			return "x: " + x + " y: " + y;  
		}
	}
}
